# CyclesMeshSettings(PropertyGroup)

base classes — `bpy_struct`, `PropertyGroup`

class `bpy.types.``CyclesMeshSettings`(PropertyGroup)
  `dicing_rate`

    Type: | float in [0.001, 1000], default 1.0

  `displacement_method`

    Method to use for the displacement

    - `BUMP` Bump, Bump mapping to simulate the appearance of displacement.
    - `TRUE` True, Use true displacement only, requires fine subdivision.
    - `BOTH` Both, Combination of displacement and bump mapping.

    Type: | enum in [‘BUMP’, ‘TRUE’, ‘BOTH’], default ‘BUMP’

  `use_subdivision`

    Subdivide mesh for rendering

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` | `PropertyGroup.name`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Curve.cycles` `Mesh.cycles` | `MetaBall.cycles`